org.eclipse.gef.dot.internal.ui.language.contentassist

## Class DotFontNameProposalProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
  - - org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
    - - org.eclipse.gef.dot.internal.ui.language.contentassist.AbstractDotFontNameProposalProvider
      - - org.eclipse.gef.dot.internal.ui.language.contentassist.DotFontNameProposalProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalFactory, org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider

    public class DotFontNameProposalProvider
    extends AbstractDotFontNameProposalProvider

see http://www.eclipse.org/Xtext/documentation.html#contentAssist on how to customize content assistant

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.DefaultProposalCreator, org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.ReferenceProposalCreator`

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.DefaultContentAssistProcessorSwitch, org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.NullSafeCompletionProposalAcceptor`

### Constructor Summary

Constructors
Constructor and Description
`DotFontNameProposalProvider()`

### Method Summary

### Methods inherited from class org.eclipse.gef.dot.internal.ui.language.contentassist.AbstractDotFontNameProposalProvider

`complete_FontName, complete_GRAVITY_KEY, complete_Gravity, complete_GravityOption, complete_INT, complete_NAME, complete_OTHER_WS, complete_PangoFamily, complete_PangoFontName, complete_PostScriptAlias, complete_PostScriptFontName, complete_PSALIAS, complete_SPACE, complete_STRETCH_KEY, complete_Stretch, complete_StretchOption, complete_STYLE_KEY, complete_Style, complete_StyleOption, complete_StyleOptionsElement, complete_StyleOptionString, complete_VARIANT_KEY, complete_Variant, complete_VariantOption, complete_WEIGHT_KEY, complete_Weight, complete_WeightOption, completeGravityOption_Gravity, completePangoFontName_Families, completePangoFontName_FinalFamily, completePangoFontName_StyleOptionsList, completePostScriptFontName_Alias, completeStretchOption_Stretch, completeStyleOption_Style, completeVariantOption_Variant, completeWeightOption_Weight`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`announceProcessing, completeAssignment, completeKeyword, completeRuleCall, createProposals, getCrossReferenceProposalCreator, getHover, getProposalFactory, getScopeProvider, invokeMethod, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, setCrossReferenceProposalCreator, setScopeProvider`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`createCompletionProposal, createCompletionProposal, createCompletionProposal, createCompletionProposal, createSelector, doCreateProposal, doCreateProposal, getConflictHelper, getDisplayString, getImage, getKeywordDisplayString, getLabelProvider, getPriorityHelper, getQualifiedNameConverter, getStyledDisplayString, getStyledDisplayString, getValueConverter, isValidProposal, setConflictHelper, setLabelProvider, setPriorityHelper, setValueConverter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotFontNameProposalProvider

    public DotFontNameProposalProvider()